hf-devtree
3
HAL Library

# hf-devtree

## Synopsis

    extern      HFHandler hf_devtree_handler;
    HalDevice*  hf_devtree_find_from_name       (HalDeviceStore *store,
                                                 const char *name);
    HalDevice*  hf_devtree_find_from_info       (HalDeviceStore *store,
                                                 const char *driver,
                                                 int unit);
    HalDevice*  hf_devtree_find_parent_from_name
                                                (HalDeviceStore *store,
                                                 const char *name);
    HalDevice*  hf_devtree_find_parent_from_info
                                                (HalDeviceStore *store,
                                                 const char *driver,
                                                 int unit);
    void        hf_devtree_device_set_info      (HalDevice *device,
                                                 const char *driver,
                                                 int unit);
    gboolean    hf_devtree_device_get_info      (HalDevice *device,
                                                 const char **driver,
                                                 int *unit);
    void        hf_devtree_device_set_name      (HalDevice *device,
                                                 const char *devname);
    char*       hf_devtree_device_get_name      (HalDevice *device);
    gboolean    hf_devtree_is_driver            (const char *name,
                                                 const char *driver);

## Description

## Details

### hf_devtree_handler

    extern HFHandler hf_devtree_handler;

### hf_devtree_find_from_name ()

    HalDevice*  hf_devtree_find_from_name       (HalDeviceStore *store,
                                                 const char *name);

`store` :

`name` :

Returns :

### hf_devtree_find_from_info ()

    HalDevice*  hf_devtree_find_from_info       (HalDeviceStore *store,
                                                 const char *driver,
                                                 int unit);

`store` :

`driver` :

`unit` :

Returns :

### hf_devtree_find_parent_from_name ()

    HalDevice*  hf_devtree_find_parent_from_name
                                                (HalDeviceStore *store,
                                                 const char *name);

`store` :

`name` :

Returns :

### hf_devtree_find_parent_from_info ()

    HalDevice*  hf_devtree_find_parent_from_info
                                                (HalDeviceStore *store,
                                                 const char *driver,
                                                 int unit);

`store` :

`driver` :

`unit` :

Returns :

### hf_devtree_device_set_info ()

    void        hf_devtree_device_set_info      (HalDevice *device,
                                                 const char *driver,
                                                 int unit);

`device` :

`driver` :

`unit` :

### hf_devtree_device_get_info ()

    gboolean    hf_devtree_device_get_info      (HalDevice *device,
                                                 const char **driver,
                                                 int *unit);

`device` :

`driver` :

`unit` :

Returns :

### hf_devtree_device_set_name ()

    void        hf_devtree_device_set_name      (HalDevice *device,
                                                 const char *devname);

`device` :

`devname` :

### hf_devtree_device_get_name ()

    char*       hf_devtree_device_get_name      (HalDevice *device);

`device` :

Returns :

### hf_devtree_is_driver ()

    gboolean    hf_devtree_is_driver            (const char *name,
                                                 const char *driver);

`name` :

`driver` :

Returns :